Package com.ads.api.beans.common

# Enum Class APIConstants.ExportOption

java.lang.Object
java.lang.Enum<APIConstants.ExportOption>
com.ads.api.beans.common.APIConstants.ExportOption

All Implemented Interfaces:
  `Serializable`, `Comparable<APIConstants.ExportOption>`, `Constable`

Enclosing class:
  APIConstants

public static enum APIConstants.ExportOption extends Enum<APIConstants.ExportOption>
These ENUM constants are used to specify the ExportOption as EXPORT_INTO_MULTIPLE_SHEET, EXPORT_ALL, and EXPORT_INTO_SINGLE_SHEET. The constants of this enumerated type provides a simple classification of the declared elements.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXPORT_ALL`
  EXPORT_ALL - Refers to Exporting to individual Excel Files.
  `EXPORT_INTO_MULTIPLE_SHEET`
  EXPORT_INTO_MULTIPLE_SHEET - Refers to Exporting to single workbook with multiple ExcelSheets.
  `EXPORT_INTO_SINGLE_SHEET`
  EXPORT_INTO_SINGLE_SHEET - Refers to Exporting to a single Excel Sheet.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static APIConstants.ExportOption`
  `getExportOption(String value)`
  Returns the ExportOption.
  `String`
  `toString()`
  `static APIConstants.ExportOption`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static APIConstants.ExportOption[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EXPORT_INTO_MULTIPLE_SHEET

    public static final APIConstants.ExportOption EXPORT_INTO_MULTIPLE_SHEET
    EXPORT_INTO_MULTIPLE_SHEET - Refers to Exporting to single workbook with multiple ExcelSheets.

  - ### EXPORT_ALL

    public static final APIConstants.ExportOption EXPORT_ALL
    EXPORT_ALL - Refers to Exporting to individual Excel Files.

  - ### EXPORT_INTO_SINGLE_SHEET

    public static final APIConstants.ExportOption EXPORT_INTO_SINGLE_SHEET
    EXPORT_INTO_SINGLE_SHEET - Refers to Exporting to a single Excel Sheet.

- ## Method Details

  - ### values

    public static APIConstants.ExportOption[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static APIConstants.ExportOption valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getExportOption

    public static APIConstants.ExportOption getExportOption(String value)
    Returns the ExportOption.
    Parameters:
      `value` - String
    Returns:
      ExportOption

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<APIConstants.ExportOption>`
    Returns:
      String